# This config file is for saving disguises so that you can reuse them without typing the entire disguise out.

# The best way to use this is with /savedisguise or /saveskin
# /saveskin MyCustomSkin <SkinName> - Where <SkinName> can be an url, file in LibsDisguises/skins or player name
# Then use /disguise player MyCustomSkin - To test it

# You can also use /savedisguise MyCustomDisguise player KingKiller setskin <SkinName> - With the same 3 types of skin
# as above

# It is strongly recommended you use /savedisguise instead of editing this file!
# You can use that command in console or ingame! This helps eliminate user error!

# Here you can create your own disguises and disguise into them using the normal disguise commands
# To create them is super simple, you're using it just like you would in a command. The only tricky thing is that it must be valid yaml. TIP: Enclose the strings in '
# Please note that this is parsed exactly like a command, no spaces in your playername. Bypass by quoting with "!

# You can use /grabskin <Target> <Optional Name> - To get the skin data from a file, another player or website.
# /savedisguise ingame will save a custom disguise in this config, including skin data.
# You can also provide a file or url for 'setSkin'! Just as you would for /grabskin.
# The setSkin argument will be automatically done for all /savedisguise usages, this way the skin never changes.
# /copydisguise <Optional Target Name/UUID> will give you the disguise in a usable string

# You can also use placeholders in the disguises to create disguises that have the command users skin

# %name% - Replaces %name% with the command user's name.
# %skin% - Replaces %skin% with the command user's skin for use with player disguises.
# %displayname% - Replaces %displayname% with the command users displayname

# %target-name% - Finds first viable name from: Player name, entity custom nametag, then entity type (Pig, Horse, Cow)
# %target-skin% - If target is a player, replaces %target-skin% with their skin for use with player disguises
# %target-displayname% - Similar as above
# If target is not a player, will silently fail

# %held-item% - The currently held item in the main item slot
# %offhand-item% - The offhand item
# %armor% - The armor in <Item>,<Item>,<Item>,<Item> format
# %helmet% %chestplate% %leggings% %boots% - Obvious.
# These are best used in armor slots, or in settings that accept items. Can also be used alongside /copydisguise
# to get the string format of an item. By /disguise zombie setiteminmainhand %held-item% - Then /copydisguise.
# But the plugin will attempt to parse to the "simplest" format. So best used with an item that has more custom data
# than just the amount.

# These can be used again for the 'target' by prepending 'target-' to the above. So %target-armor% %target-held-item%
# Finally, you can use %libraryaddict-name% to do all this, but fetch it from the ONLINE player libraryaddict! Case sensitive.

#  The below disguise would give a disguised sheep the nametag; Me: libraryaddict, Them: Sheep
#  Example: 'cow setCustomName "Me: %user-name%, Them: %target-name%"'
#
#  This would give the disguised target a player disguise of their own name, but using the skin of the command user
#  Example2: 'player %target-name% setSkin %user-skin%'

# The following disguises will work if you remove the '#' at the beginning of the line, this creates a disguise which you can use by /disguise libraryaddict
Disguises:
  libraryaddict: 'player libraryaddict setArmor GOLDEN_BOOTS,GOLDEN_LEGGINGS,GOLDEN_CHESTPLATE,GOLDEN_HELMET setItemInMainHand WRITTEN_BOOK setGlowing setSkin {"id":"a149f81bf7844f8987c554afdd4db533","name":"libraryaddict","properties":[{"signature":"afoGOO45t3iGvTyQ732AlugPOvj13/RNjM0/utYlD4PZ4ab4Jopbzr8Px75+ALdkyegoKNcfaH4aXzylMvL6mIwaRdL0af7pfGibMMCMJ8F1RAMl2WqRslKBKXHGS1OXxMweoXW+RRatGgZsUC1BjxHMwd4RuXxrV9ZZ7x1r4xouUXmMzn19wqNO9EeG2q8AgF/hZdrnJPdTTrqJs04r4vCQiFiQsTWiY/B5CBOTh6fw4NpOHeeiJwHOLvN+6xKnAm77nKawaKCSciDwt54EeZoE/Q5ReQUEFgj++jdyHb5PJbhGytr//mazpTVzvlDnO06CZqigbiueV2/ush2gKSXQeimCXeNZzcj/CFgqAmMSEZQW3qHp+DgoqqtBNabJa0FBzpbQQ/jQWzoHfmUC/hTf0A0+hgOe4NqDc+xXYf4A9M/6/0JHz0voWhQJi8QriM699DeeUa31bVdTdKjcyK6Zw6/HIOJt++eFnkf++/zKt0fMiqfdRamSqR/K3w+Kk7cs2D345BNubl5L83YWmLbebUcAPKaza5gi17lUW+h/FitzfKAJZ+xsfSdj27nQLa24xYsyB3Fi5DcFLI2oQt5BYAvViT37sabGOXbDBsrijS4t3++mIbC+pCDiKi0hwZzvy0TPRTle2RMhJ6D66DmpykwqBOxzD73fEsieWX4=","name":"textures","value":"eyJ0aW1lc3RhbXAiOjE0ODA1MjA3NjAxNTksInByb2ZpbGVJZCI6ImExNDlmODFiZjc4NDRmODk4N2M1NTRhZmRkNGRiNTMzIiwicHJvZmlsZU5hbWUiOiJsaWJyYXJ5YWRkaWN0Iiwic2lnbmF0dXJlUmVxdWlyZWQiOnRydWUsInRleHR1cmVzIjp7IlNLSU4iOnsidXJsIjoiaHR0cDovL3RleHR1cmVzLm1pbmVjcmFmdC5uZXQvdGV4dHVyZS84ZTQ5NDVkMzZjZjVhNjI1OGZjOGY4ZTM5NmZlZWYzMzY1ZjM2MjgyYjE2MjY0OWI2M2NmZWQzNzNmNzY1OSJ9LCJDQVBFIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZWZkNjFjM2M0YWM4OGYxYTM0NjhmYmRlZWY0NWNlYzg5ZTVhZmI4N2I5N2ExYTg0NWJmYjNjNjRmZDBiODgzIn19fQ=="}]}'
#  Warrior: 'zombie setArmor DIAMOND_BOOTS,DIAMOND_LEGGINGS,DIAMOND_CHESTPLATE,DIAMOND_HELMET setItemInMainHand DIAMOND_SWORD setItemInOffHand SHIELD'
#  Topsy: 'player Dinnerbone setSkin %target-skin%'

# This is not recommended for use! It's mainly useful if you want custom entities and the client has a mod installed!
# If an option is missing, then it means Lib's Disguises will not do sanity checks for that.
# No mod = Everyone gets sent it, otherwise only those with the mod will get the disguise.
# You MUST restart the server after adding anything!
# To repeat, this is for forge mod entities!
Custom-Entities:
#  Librarian:
#    Name: libaddict:librarian # Must be a minecraft:sheep type of name, if invalid will not load
#    Register: true # This means Lib's Disguises should register the EntityType in nms, not another plugin
#    Type: LIVING # MISC, LIVING - What type of disguise type, doesn't support custom packets
#    Mod: LibAttacks # The mod they need installed
# If exists, will prevent anyone without the mod from joining with this error
#    Required: 'Install LibAttacks! Download it from our site!'
#    Channels: librarian:channel|1 # Sometimes a mod needs a channel enabled.. Seperate each channel with a comma.
#    The channels also want a protocol version, which is normally 1 or 1.0
